GET /api/job_invocations
200
{
"total": 3,
"subtotal": 3,
"page": 1,
"per_page": 20,
"search": null,
"sort": {
"by": null,
"order": null
},
"results": [
{
"id": 187,
"description": null,
"job_category": "Job name 152",
"targeting_id": 212,
"status": 0,
"start_at": null,
"status_label": "succeeded",
"ssh_user": null,
"time_to_pickup": null,
"dynflow_task": {
"id": "d5f530c2-dce6-4e8b-ac2b-7d557047149a",
"state": "stopped"
},
"template_id": 1007982000,
"template_name": "Job template 156",
"effective_user": "root",
"succeeded": 0,
"failed": 0,
"pending": 0,
"cancelled": 0,
"total": "N/A",
"missing": 0,
"total_hosts": "N/A"
},
{
"id": 186,
"description": null,
"job_category": "Job name 178",
"targeting_id": 214,
"status": 2,
"start_at": null,
"status_label": "queued",
"ssh_user": null,
"time_to_pickup": null,
"dynflow_task": null,
"template_id": null,
"template_name": null,
"effective_user": null,
"succeeded": 0,
"failed": 0,
"pending": 0,
"cancelled": 0,
"total": "N/A",
"missing": 0,
"total_hosts": "N/A"
},
{
"id": 185,
"description": null,
"job_category": "Job name 177",
"targeting_id": 213,
"status": 2,
"start_at": null,
"status_label": "queued",
"ssh_user": null,
"time_to_pickup": null,
"dynflow_task": null,
"template_id": null,
"template_name": null,
"effective_user": null,
"succeeded": 0,
"failed": 0,
"pending": 0,
"cancelled": 0,
"total": "N/A",
"missing": 0,
"total_hosts": "N/A"
}
]
}
| Param name | Description |
|---|---|
|
location_id
optional |
Set the current location context for the request Validations:
|
|
organization_id
optional |
Set the current organization context for the request Validations:
|
|
search
optional |
filter results Validations:
|
|
order
optional |
Sort and order by a searchable field, e.g. '<field> DESC' Validations:
|
|
page
optional |
Page number, starting at 1 Validations:
|
|
per_page
optional |
Number of results per page to return, 'all' to return all results Validations:
|
GET /api/job_invocations/221
200
{
"id": 221,
"description": null,
"job_category": "Job name 184",
"targeting_id": 251,
"status": 0,
"start_at": null,
"status_label": "succeeded",
"ssh_user": null,
"time_to_pickup": null,
"dynflow_task": {
"id": "a327720e-911d-4a46-ac7d-803503225b4a",
"state": "stopped"
},
"template_id": 1007982073,
"template_name": "Job template 190",
"effective_user": "root",
"succeeded": 0,
"failed": 0,
"pending": 0,
"cancelled": 0,
"total": "N/A",
"missing": 0,
"total_hosts": "N/A",
"targeting": {
"bookmark_id": null,
"search_query": "name = foo",
"targeting_type": "static_query",
"user_id": 988725846,
"randomized_ordering": false,
"hosts": []
},
"task": {
"id": "a327720e-911d-4a46-ac7d-803503225b4a",
"state": "stopped"
},
"mode": "immediate"
}
| Param name | Description |
|---|---|
|
location_id
optional |
Set the current location context for the request Validations:
|
|
organization_id
optional |
Set the current organization context for the request Validations:
|
|
id
required |
Validations:
|
|
host_status
optional |
Show Job status for the hosts Validations:
|
POST /api/job_invocations
{
"job_invocation": {
"job_category": "Job name 26",
"name": "RandomName",
"job_template_id": 1007981782,
"targeting_type": "static_query",
"search_query": "foobar",
"recurrence": {
"cron_line": "5 * * * *"
}
}
}
201
{
"id": 42,
"description": "Job template 26 with inputs Template input 10=\"''\"",
"job_category": "Job name 26",
"targeting_id": 49,
"status": 2,
"start_at": "2024-08-26 18:05:00 UTC",
"status_label": "queued",
"ssh_user": null,
"time_to_pickup": null,
"dynflow_task": {
"id": "d63ded11-d594-4013-b4b0-f2ee47d3c55a",
"state": "scheduled"
},
"template_id": 1007981782,
"template_name": "Job template 26",
"effective_user": "root",
"succeeded": 0,
"failed": 0,
"pending": 0,
"cancelled": 0,
"total": "N/A",
"missing": 0,
"total_hosts": 0,
"targeting": {
"bookmark_id": null,
"search_query": "foobar",
"targeting_type": "static_query",
"user_id": 135138680,
"randomized_ordering": null,
"hosts": []
},
"task": {
"id": "d63ded11-d594-4013-b4b0-f2ee47d3c55a",
"state": "scheduled"
},
"mode": "recurring",
"recurrence": {
"id": 1,
"cron_line": "5 * * * *",
"end_time": null,
"iteration": 1,
"task_group_id": 9,
"state": "active",
"max_iteration": null,
"purpose": null,
"task_count": 1,
"action": "Run hosts job:",
"last_occurence": null,
"next_occurence": "2024-08-26 18:05:00 UTC"
}
}
| Param name | Description |
|---|---|
|
location_id
optional |
Set the current location context for the request Validations:
|
|
organization_id
optional |
Set the current organization context for the request Validations:
|
|
job_invocation
required |
Validations:
|
|
job_invocation[job_template_id]
optional , nil allowed |
The job template to use, parameter is required unless feature was specified Validations:
|
|
job_invocation[targeting_type]
required |
Invocation type, one of {“static_query”=>“Static Query”, “dynamic_query”=>“Dynamic Query”} Validations:
|
|
job_invocation[randomized_ordering]
optional , nil allowed |
Execute the jobs on hosts in randomized order Validations:
|
|
job_invocation[inputs]
optional , nil allowed |
Inputs to use Validations:
|
|
job_invocation[ssh]
optional , nil allowed |
SSH provider specific options Validations:
|
|
job_invocation[ssh][effective_user]
optional , nil allowed |
What user should be used to run the script (using sudo-like mechanisms). Defaults to a template parameter or global setting. Validations:
|
|
job_invocation[ssh][effective_user_password]
optional , nil allowed |
Set password for effective user (using sudo-like mechanisms) Validations:
|
|
job_invocation[ssh_user]
optional , nil allowed |
Set SSH user Validations:
|
|
job_invocation[password]
optional , nil allowed |
Set SSH password Validations:
|
|
job_invocation[key_passphrase]
optional , nil allowed |
Set SSH key passphrase Validations:
|
|
job_invocation[recurrence]
optional , nil allowed |
Create a recurring job Validations:
|
|
job_invocation[recurrence][cron_line]
optional , nil allowed |
How often the job should occur, in the cron format Validations:
|
|
job_invocation[recurrence][max_iteration]
optional , nil allowed |
Repeat a maximum of N times Validations:
|
|
job_invocation[recurrence][end_time]
optional , nil allowed |
Perform no more executions after this time Validations:
|
|
job_invocation[recurrence][purpose]
optional , nil allowed |
Designation of a special purpose Validations:
|
|
job_invocation[scheduling]
optional , nil allowed |
Schedule the job to start at a later time Validations:
|
|
job_invocation[scheduling][start_at]
optional , nil allowed |
Schedule the job for a future time Validations:
|
|
job_invocation[scheduling][start_before]
optional , nil allowed |
Indicates that the action should be cancelled if it cannot be started before this time. Validations:
|
|
job_invocation[concurrency_control]
optional , nil allowed |
Control concurrency level and distribution over time Validations:
|
|
job_invocation[concurrency_control][concurrency_level]
optional , nil allowed |
Run at most N tasks at a time Validations:
|
|
job_invocation[bookmark_id]
optional , nil allowed |
Validations:
|
|
job_invocation[search_query]
optional , nil allowed |
Validations:
|
|
job_invocation[description_format]
optional , nil allowed |
Override the description format from the template for this invocation only Validations:
|
|
job_invocation[execution_timeout_interval]
optional , nil allowed |
Override the timeout interval from the template for this invocation only Validations:
|
|
job_invocation[feature]
optional , nil allowed |
Remote execution feature label that should be triggered, job template assigned to this feature will be used Validations:
|
|
job_invocation[time_to_pickup]
optional , nil allowed |
Override the global time to pickup interval for this invocation only Validations:
|
GET /api/job_invocations/103/hosts/76
200
{
"complete": true,
"refresh": false,
"output": []
}
| Param name | Description |
|---|---|
|
location_id
optional |
Set the current location context for the request Validations:
|
|
organization_id
optional |
Set the current organization context for the request Validations:
|
|
id
required |
Validations:
|
|
host_id
required |
Validations:
|
|
since
optional |
Validations:
|
GET /api/job_invocations/368/hosts/255/raw
200
{
"complete": false,
"refresh": true,
"output": null,
"delayed": true,
"start_at": "2024-08-26T14:11:15.492-04:00"
}
| Param name | Description |
|---|---|
|
location_id
optional |
Set the current location context for the request Validations:
|
|
organization_id
optional |
Set the current organization context for the request Validations:
|
|
id
required |
Validations:
|
|
host_id
required |
Validations:
|
POST /api/job_invocations/160/cancel
{
"job_invocation": {}
}
422
{
"message": "The job could not be cancelled."
}
| Param name | Description |
|---|---|
|
location_id
optional |
Set the current location context for the request Validations:
|
|
organization_id
optional |
Set the current organization context for the request Validations:
|
|
id
required |
Validations:
|
|
force
optional |
Validations:
|
POST /api/job_invocations/166/rerun
{
"failed_only": true,
"job_invocation": {}
}
201
{
"id": 167,
"targeting_id": 194,
"job_category": "Job name 135",
"task_id": "eb910cff-1833-42ef-a937-a98339470bb9",
"task_group_id": 21,
"triggering_id": 19,
"description": null,
"concurrency_level": null,
"execution_timeout_interval": null,
"password": null,
"key_passphrase": null,
"remote_execution_feature_id": null,
"effective_user_password": null,
"ssh_user": null,
"time_to_pickup": null
}
| Param name | Description |
|---|---|
|
location_id
optional |
Set the current location context for the request Validations:
|
|
organization_id
optional |
Set the current organization context for the request Validations:
|
|
id
required |
Validations:
|
|
failed_only
optional |
Validations:
|
|
succeeded_only
optional |
Validations:
|
POST /api/job_invocations/143/outputs
{
"search_query": "id = 101",
"job_invocation": {}
}
200
{
"outputs": [
{
"complete": true,
"refresh": false,
"output": [],
"host_id": 101
}
]
}
| Param name | Description |
|---|---|
|
location_id
optional |
Set the current location context for the request Validations:
|
|
organization_id
optional |
Set the current organization context for the request Validations:
|
|
id
required |
Validations:
|
|
search_query
optional |
Validations:
|
|
since
optional |
Validations:
|
|
raw
optional |
Validations:
|